## node-any-promise 1.3.0+~cs0.12.21

=== Makefile ===
PROJECT:=any-promise

JS_TARGET ?= build/$(PROJECT).js

.PHONY: all clean js test serve
all: test js

clean:
	rm -rf build

test: | node_modules
	npm test

node_modules:
	npm install

%.min.js: %.js | node_modules
	`npm bin`/uglifyjs $< -o $@ -c -m

%.gz: %
	gzip -c9 $^ > $@

js: $(JS_TARGET) $(JS_TARGET:.js=.min.js)

$(JS_TARGET): index.js register-shim.js register.js loader.js | build
	`npm bin`/browserify $< > $@

build:
	mkdir -p build

## node-any-promise 1.3.0

=== debian/changelog ===
node-any-promise (1.3.0-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + node-any-promise: Add Multi-Arch: foreign.

  [ Yadd ]
  * Bump debhelper compatibility level to 13
  * Modernize debian/watch
  * Fix GitHub tags regex
  * Use dh-sequence-nodejs
  * Declare compliance with policy 4.6.0

 -- Yadd <yadd@debian.org>  Fri, 20 Aug 2021 16:40:13 +0200

node-any-promise (1.3.0-2) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Embed native-promise-only, rsvp and vow for test only
  * Switch upstream test from ava to tape
  * Add test dependencies
  * Use pkg-js-tools auto install
  * Enable upstream test
  * Update VCS fields to salsa
  * Update homepage

 -- Xavier Guimard <yadd@debian.org>  Tue, 18 Feb 2020 18:39:33 +0100

node-any-promise (1.3.0-1) unstable; urgency=low

  * Initial release (Closes: #877136)

 -- Pirate Praveen <praveen@debian.org>  Fri, 29 Sep 2017 08:33:45 +0530

=== debian/control ===
Source: node-any-promise
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , node-bluebird <!nocheck>
 , node-es6-promise <!nocheck>
 , node-immediate <!nocheck>
 , node-is-promise <!nocheck>
 , node-lie <!nocheck>
 , node-pinkie <!nocheck>
 , node-promise <!nocheck>
 , node-q <!nocheck>
 , node-tape <!nocheck>
 , node-when <!nocheck>
 , dh-sequence-nodejs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-any-promise
Vcs-Git: https://salsa.debian.org/js-team/node-any-promise.git
Homepage: https://github.com/kevinbeaty/any-promise
Rules-Requires-Root: no

Package: node-any-promise
Architecture: all
Depends: ${misc:Depends}
 , nodejs
Multi-Arch: foreign
Description: Resolve any installed ES6 compatible promise
 Let your library support any ES 2015 (ES6) compatible `Promise` and leave the
 choice to application authors. The application can *optionally* register its
 preferred `Promise` implementation and it will be exported when requiring
 `any-promise` from library code.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-any-promise-$1.tar.gz/ \
 https://github.com/kevinbeaty/any-promise/tags .*/archive/.*/v?([\d\.]+).tar.gz

## node-any-promise 1.3.0+~cs0.12.21

=== debian/changelog ===
node-any-promise (1.3.0+~cs0.12.21-1) unstable; urgency=medium

  * Team upload
  * Embed and build native-promise-only and vow
  * New upstream version 1.3.0+~cs0.12.21

 -- Yadd <yadd@debian.org>  Tue, 13 Sep 2022 11:05:39 +0200

node-any-promise (1.3.0-4) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.1, no changes needed
  * Fix filenamemangle
  * Drop dependency to nodejs
  * Replace embedded test module by test dependency: rsvp

 -- Yadd <yadd@debian.org>  Tue, 13 Sep 2022 10:24:49 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
+ , dh-sequence-nodejs
  , node-bluebird <!nocheck>
  , node-es6-promise <!nocheck>
  , node-immediate <!nocheck>
@@ -13,10 +14,11 @@
  , node-pinkie <!nocheck>
  , node-promise <!nocheck>
  , node-q <!nocheck>
+ , node-rsvp <!nocheck>
  , node-tape <!nocheck>
  , node-when <!nocheck>
- , dh-sequence-nodejs
-Standards-Version: 4.6.0
+ , uglifyjs
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-any-promise
 Vcs-Git: https://salsa.debian.org/js-team/node-any-promise.git
 Homepage: https://github.com/kevinbeaty/any-promise
@@ -25,7 +27,7 @@
 Package: node-any-promise
 Architecture: all
 Depends: ${misc:Depends}
- , nodejs
+Provides:${nodejs:Provides}
 Multi-Arch: foreign
 Description: Resolve any installed ES6 compatible promise
  Let your library support any ES 2015 (ES6) compatible `Promise` and leave the

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-any-promise-$1/ \
 https://github.com/kevinbeaty/any-promise/tags .*/archive/.*/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=native-promise-only,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-native-promise-only-$1/" \
 https://registry.npmjs.org/native-promise-only https://registry.npmjs.org/native-promise-only/-/native-promise-only-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=vow,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-vow-$1/" \
 https://registry.npmjs.org/vow https://registry.npmjs.org/vow/-/vow-([\d\.]+)@ARCHIVE_EXT@ checksum
